function [FOV] = Fovtest(folders)
%% COMA 3D Toolbox
%% Milton L. Truong 11-21-2013

%%% Function to make sure the FOV for all experiments are the same,
%%% otherwise an error message is displayed and the program ends.

[data1 k1 param1] = loadimage(folders{1}, folders{2}); % Sodium 1
[data2 k2 param2] = loadimage(folders{1}, folders{3}); % Sodium 2
[hdata hk2 hparam] = loadimage(folders{1}, folders{4});


test = isequal(param1.acqp.ACQ_fov, param2.acqp.ACQ_fov, hparam.acqp.ACQ_fov);

 if test == 0
    error('FOV mismatch! Check ACQ_fov for all experiments in the current dataset.')
 else
     %FOV = hparam.acqp.ACQ_fov(1);
 end

end