%% COMA 3D Toolbox
%% Milton L. Truong 11-21-2013

clear all;
clc;
%%% Directions: Complete the following steps to run the Sodium 
%%%             Concentration Map generator
%%% 1) For each dataset, indicate the directory location and folder names
%%%    for the baseline study (scan1), experimental study (scan2), proton
%%%    imaging (hscan), and sodium phantom standard.  For the sodium standard, the Concentration
%%%    needs to be inputed.  Additionally define the directory location, 
%%%    where the images will be saved
%%% 2) The processing menu list defines 5 different processing functions.
%%%    For each function, use y or n to include or exclude the function
%%%    from processing.

study_dir = ['/Users/truongm/Desktop/COMA3D Toolbox/Raw Data/Rat 5'];   % use your own data
scan1_fol = ['88'];
scan2_fol = ['89'];
hscan_fol = ['91'];

NAphan_dir = ['/Users/truongm/Desktop/COMA3D Toolbox/Raw Data/Phantom/'];
NAphan_fol = ['269-100mM-Na'];
Concentration = 100;    %% Concentration of phantom (mM)

save_dir = ['/Users/truongm/Desktop/Test/Rat 5'];

%%% PROCESSING MENU
a = 'y'; % Overlay
b = 'y'; % Diff-avg
c = 'y'; % Diff-full
d = 'y'; % Diff-avg3D
e = 'y'; % Diff-full3D
folders = {study_dir; scan1_fol; scan2_fol; hscan_fol; NAphan_dir; NAphan_fol; save_dir};

%%%
frun(a, b, c, d, e, Concentration, folders);
myname = mfilename;
disp([myname ,' Done!']);