function overlay(study_dir, scan_id1, scan_id2, hscan_id, concM, Conc, save_dir)
%% COMA 3D Toolbox
%% Milton L. Truong 11-21-2013

%% Not a difference overlay!!

%disp('Loading Datasets...');
[data1, ~, param1] = loadimage(study_dir, scan_id1);
[data2, ~, param2] = loadimage(study_dir, scan_id2);
[hdata, ~, hparam] = loadimage(study_dir, hscan_id);

FOV = hparam.acqp.ACQ_fov(1) * 10;

%diff3D = data2-data1;
Concmap = fconcmap(data1, concM, Conc);

[hrow, hcolumn, hslice] = size(hdata);
[drow, dcolumn, dslice] = size(Concmap);

%[Xdiff Ydiff Zdiff] = process2(diff3D);
[X1 Y1 Z1] = process(hdata);
[naX1 naY1 naZ1] = process(Concmap);

X_lower = min(min([naX1(:).slice]));
X_upper = max(max([naX1(:).slice]));
Y_lower = min(min([naY1(:).slice]));
Y_upper = max(max([naY1(:).slice]));
Z_lower = min(min([naZ1(:).slice]));
Z_upper = max(max([naZ1(:).slice]));

%disp('Processing Overlay X...');
for f = 1:hslice
    g=slicepick(f, hslice, dslice);
    mapoverlay(X1(1,f).slice, naX1(1,g).slice, 0.0, X_lower, X_upper, 1, FOV);
    saveimage(save_dir,'X',f);
    close(gcf);
end

%disp('Processing Overlay Y...');
for f = 1:hcolumn
    g=slicepick(f, hcolumn, dcolumn);
    mapoverlay(Y1(1,f).slice, naY1(1,g).slice, 0.0, Y_lower, Y_upper, 1, FOV);
    saveimage(save_dir,'Y',f);
    close(gcf);
end

%disp('Processing Overlay Z...');
for f = 1:hrow
    g=slicepick(f, hcolumn, dcolumn);
    mapoverlay(Z1(1,f).slice, naZ1(1,g).slice, 0.0, Z_lower, Z_upper, 1, FOV);
    saveimage(save_dir,'Z',f);
    close(gcf);
end

clearvars data1 data2 hdata X1 Y1 Z1 naX1 naY1 naZ1;
end